# Uses of Class
com.logicaldoc.core.document.FolderAccessControlEntry

Packages that use FolderAccessControlEntry
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.folder
Contains the definitions of `Folder` as well as other related objects

## Uses of FolderAccessControlEntry in com.logicaldoc.core.document

Constructors in com.logicaldoc.core.document with parameters of type FolderAccessControlEntry
Modifier
Constructor
Description
``
`FolderAccessControlEntry(FolderAccessControlEntry source)`

## Uses of FolderAccessControlEntry in com.logicaldoc.core.folder

Methods in com.logicaldoc.core.folder that return FolderAccessControlEntry
Modifier and Type
Method
Description
`FolderAccessControlEntry`
Folder.`getAccessControlEntry(long groupId)`
Methods in com.logicaldoc.core.folder that return types with arguments of type FolderAccessControlEntry
Modifier and Type
Method
Description
`Set<FolderAccessControlEntry>`
Folder.`getAccessControlEntries(Set<Long> groupIds)`
`Set<FolderAccessControlEntry>`
Folder.`getAccessControlList()`
Methods in com.logicaldoc.core.folder with parameters of type FolderAccessControlEntry
Modifier and Type
Method
Description
`void`
Folder.`addAccessControlEntry(FolderAccessControlEntry ace)`
Method parameters in com.logicaldoc.core.folder with type arguments of type FolderAccessControlEntry
Modifier and Type
Method
Description
`void`
Folder.`setAccessControlList(Set<FolderAccessControlEntry> accessControlList)`